TEMPLATE = remote_api_link.pot
LANGS = cs de en es fr it pl

SOURCES = $(wildcard ../*.py ../api/*.py ../exceptions/*.py)

IN = $(wildcard */LC_MESSAGES/*.po)

OUT = $(IN:.po=.mo)

compile: $(OUT)

extract: $(TEMPLATE)

check: $(addprefix check_,$(LANGS))
	@echo $^

process: $(addprefix process_,$(LANGS))
	@echo $^

check_%: %/LC_MESSAGES/remote_api_link.po ${TEMPLATE}
	@echo
	@echo "Checking $<"
	msgfmt --check-format $<
	msgcmp $^

process_%: %/LC_MESSAGES/remote_api_link.po
	@echo
	msguniq -s $< > /tmp/remote_api_link.po.uniq
	msgattrib --clear-previous --no-obsolete /tmp/remote_api_link.po.uniq > $<
	msgattrib --set-obsolete --ignore-file=$(TEMPLATE) -o /tmp/remote_api_link.po.uniq $<
	msgattrib --no-obsolete /tmp/remote_api_link.po.uniq > $<
	rm /tmp/remote_api_link.po.uniq
clean:
	rm -f $(TEMPLATE)
	rm -f $(OUT)

$(TEMPLATE): $(SOURCES)
	touch $@
	xgettext --from-code utf-8 -j -kN_ -o $@ $?

%.mo: %.po
	msgfmt --check-format -o $@ $<
